package com.ruoyi.cs.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.cs.mapper.CsFileMapper;
import com.ruoyi.cs.domain.CsFile;
import com.ruoyi.cs.service.ICsFileService;

/**
 * 文件上传Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-12
 */
@Service
public class CsFileServiceImpl implements ICsFileService
{
    @Autowired
    private CsFileMapper csFileMapper;

    /**
     * 查询文件上传
     *
     * @param fileId 文件上传主键
     * @return 文件上传
     */
    @Override
    public CsFile selectCsFileByFileId(String fileId)
    {
        return csFileMapper.selectCsFileByFileId(fileId);
    }

    /**
     * 查询文件上传列表
     *
     * @param csFile 文件上传
     * @return 文件上传
     */
    @Override
    public List<CsFile> selectCsFileList(CsFile csFile)
    {
        return csFileMapper.selectCsFileList(csFile);
    }

    /**
     * 新增文件上传
     *
     * @param csFile 文件上传
     * @return 结果
     */
    @Override
    public int insertCsFile(CsFile csFile)
    {
        csFile.setFileId(IdUtils.fastSimpleUUID());
        csFile.setCreateAt(DateUtils.getTime());
        return csFileMapper.insertCsFile(csFile);
    }

    /**
     * 修改文件上传
     *
     * @param csFile 文件上传
     * @return 结果
     */
    @Override
    public int updateCsFile(CsFile csFile)
    {
        return csFileMapper.updateCsFile(csFile);
    }

    /**
     * 批量删除文件上传
     *
     * @param fileIds 需要删除的文件上传主键
     * @return 结果
     */
    @Override
    public int deleteCsFileByFileIds(String[] fileIds)
    {
        return csFileMapper.deleteCsFileByFileIds(fileIds);
    }

    /**
     * 删除文件上传信息
     *
     * @param fileId 文件上传主键
     * @return 结果
     */
    @Override
    public int deleteCsFileByFileId(String fileId)
    {
        return csFileMapper.deleteCsFileByFileId(fileId);
    }
}
